Loading...
Searching...
No Matches
metadata.h File Reference

ietf-yang-metadata API More...

`#include "plugins_exts.h"`
`#include "tree_data.h"`
Include dependency graph for metadata.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | lyd_meta
| Metadata structure. More...

## Detailed Description

ietf-yang-metadata API

Author
  Radek Krejci rkrej.nosp@m.ci@c.nosp@m.esnet.nosp@m..cz
  Michal Vasko mvask.nosp@m.o@ce.nosp@m.snet..nosp@m.cz

Copyright (c) 2019 - 2022 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file metadata.h.

## Data Structure Documentation

## lyd_meta

struct lyd_meta

Metadata structure.

The structure provides information about metadata of a data element. Such attributes must map to annotations as specified in RFC 7952. The only exception is the filter type (in NETCONF get operations) and edit-config's operation attributes. In XML, they are represented as standard XML attributes. In JSON, they are represented as JSON elements starting with the '@' character (for more information, see the YANG metadata RFC.

Definition at line 36 of file metadata.h.

Data Fields
struct lysc_ext_instance * | annotation | pointer to the annotation's definition
const char * | name | metadata name
struct lyd_meta * | next | pointer to the next metadata of the same element
struct lyd_node * | parent | data node where the metadata is placed
struct lyd_value | value | metadata value representation